---
title: Get HTML content and screenshot.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Browser Rendering](https://developers.cloudflare.com/api/go/resources/browser_rendering)

[Snapshot](https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/snapshot)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get HTML content and screenshot.

client.BrowserRendering.Snapshot.New(ctx, params) (\*[SnapshotNewResponse](<https://developers.cloudflare.com/api/go/resources/browser_rendering#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/browser-rendering/snapshot

Returns the page’s HTML content and screenshot. Control page loading with `gotoOptions` and `waitFor*` options. Customize screenshots with `viewport`, `fullPage`, `clip` and others.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Browser Rendering Write`

##### ParametersExpand Collapse

<details>

<summary>

params SnapshotNewParams

</summary>

AccountID param.Field\[string]

Path param: Account ID.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20account_id">Link to this property</a>

URL param.Field\[string]

Body param

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20url">Link to this property</a>

<details>

<summary>

Browser param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser%20%3E%20(schema)">SnapshotNewParamsVariant0Browser</a>]Optional

Query param: Rendering backend. Set to <code>kitesurf</code> to use Kitesurf (beta).

</summary>

const SnapshotNewParamsVariant0BrowserKitesurf <a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser%20%3E%20(schema)">SnapshotNewParamsVariant0Browser</a> = "kitesurf"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser">Link to this property</a>

CacheTTL param.Field\[float64]Optional

Query param: Cache TTL default is 5s. Set to 0 to disable.

maximum86400

minimum0

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cacheTTL">Link to this property</a>

ActionTimeout param.Field\[float64]Optional

Body param: The maximum duration allowed for the browser action to complete after the page has loaded (such as taking screenshots, extracting content, or generating PDFs). If this time limit is exceeded, the action stops and returns a timeout error.

maximum120000

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20actionTimeout">Link to this property</a>

<details>

<summary>

AddScriptTag param.Field\[\[]SnapshotNewParamsVariant0AddScriptTag]Optional

Body param: Adds a script element into the page with the desired URL or content.

</summary>

ID stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Content stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20content">Link to this property</a>

Type stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

URL stringOptional

formaturi

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag">Link to this property</a>

<details>

<summary>

AddStyleTag param.Field\[\[]SnapshotNewParamsVariant0AddStyleTag]Optional

Body param: Adds a <code>&lt;link rel="stylesheet"&gt;</code> tag into the page with the desired URL or a <code>&lt;style type="text/css"&gt;</code> tag with the content.

</summary>

Content stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20content">Link to this property</a>

URL stringOptional

formaturi

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag">Link to this property</a>

AllowRequestPattern param.Field\[\[]string]Optional

Body param: Only allow requests that match the provided regex patterns, eg. ’/^.\*.(css)’. Reject rules are applied first.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowRequestPattern">Link to this property</a>

<details>

<summary>

AllowResourceTypes param.Field\[\[]SnapshotNewParamsVariant0AllowResourceType]Optional

Body param: Only allow requests that match the provided resource types, eg. ‘image’ or ‘script’. Reject rules are applied first.

</summary>

const SnapshotNewParamsVariant0AllowResourceTypeDocument SnapshotNewParamsVariant0AllowResourceType = "document"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeStylesheet SnapshotNewParamsVariant0AllowResourceType = "stylesheet"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeImage SnapshotNewParamsVariant0AllowResourceType = "image"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeMedia SnapshotNewParamsVariant0AllowResourceType = "media"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeFont SnapshotNewParamsVariant0AllowResourceType = "font"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeScript SnapshotNewParamsVariant0AllowResourceType = "script"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeTexttrack SnapshotNewParamsVariant0AllowResourceType = "texttrack"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeXHR SnapshotNewParamsVariant0AllowResourceType = "xhr"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeFetch SnapshotNewParamsVariant0AllowResourceType = "fetch"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%208">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypePrefetch SnapshotNewParamsVariant0AllowResourceType = "prefetch"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%209">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeEventsource SnapshotNewParamsVariant0AllowResourceType = "eventsource"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2010">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeWebsocket SnapshotNewParamsVariant0AllowResourceType = "websocket"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2011">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeManifest SnapshotNewParamsVariant0AllowResourceType = "manifest"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2012">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeSignedexchange SnapshotNewParamsVariant0AllowResourceType = "signedexchange"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2013">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypePing SnapshotNewParamsVariant0AllowResourceType = "ping"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2014">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeCspviolationreport SnapshotNewParamsVariant0AllowResourceType = "cspviolationreport"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2015">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypePreflight SnapshotNewParamsVariant0AllowResourceType = "preflight"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2016">Link to this property</a>

const SnapshotNewParamsVariant0AllowResourceTypeOther SnapshotNewParamsVariant0AllowResourceType = "other"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2017">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes">Link to this property</a>

<details>

<summary>

Authenticate param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)">SnapshotNewParamsVariant0Authenticate</a>]Optional

Body param: Provide credentials for HTTP authentication.

</summary>

Password string

minLength1

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)%20%3E%20(property)%20password">Link to this property</a>

Username string

minLength1

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)%20%3E%20(property)%20username">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate">Link to this property</a>

BestAttempt param.Field\[bool]Optional

Body param: Attempt to proceed when ‘awaited’ events fail or timeout.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20bestAttempt">Link to this property</a>

<details>

<summary>

Cookies param.Field\[\[]SnapshotNewParamsVariant0Cookie]Optional

Body param: Check <a href="https://pptr.dev/api/puppeteer.page.setcookie">options</a>.

</summary>

Name string

Cookie name.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

Value string

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

Domain stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20domain">Link to this property</a>

Expires float64Optional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20expires">Link to this property</a>

HTTPOnly boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20httpOnly">Link to this property</a>

PartitionKey stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20partitionKey">Link to this property</a>

Path stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20path">Link to this property</a>

<details>

<summary>

Priority SnapshotNewParamsVariant0CookiesPriorityOptional

</summary>

One of the following:

const SnapshotNewParamsVariant0CookiesPriorityLow SnapshotNewParamsVariant0CookiesPriority = "Low"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0CookiesPriorityMedium SnapshotNewParamsVariant0CookiesPriority = "Medium"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0CookiesPriorityHigh SnapshotNewParamsVariant0CookiesPriority = "High"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority">Link to this property</a>

SameParty boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameParty">Link to this property</a>

<details>

<summary>

SameSite SnapshotNewParamsVariant0CookiesSameSiteOptional

</summary>

One of the following:

const SnapshotNewParamsVariant0CookiesSameSiteStrict SnapshotNewParamsVariant0CookiesSameSite = "Strict"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0CookiesSameSiteLax SnapshotNewParamsVariant0CookiesSameSite = "Lax"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0CookiesSameSiteNone SnapshotNewParamsVariant0CookiesSameSite = "None"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite">Link to this property</a>

Secure boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20secure">Link to this property</a>

SourcePort float64Optional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourcePort">Link to this property</a>

<details>

<summary>

SourceScheme SnapshotNewParamsVariant0CookiesSourceSchemeOptional

</summary>

One of the following:

const SnapshotNewParamsVariant0CookiesSourceSchemeUnset SnapshotNewParamsVariant0CookiesSourceScheme = "Unset"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0CookiesSourceSchemeNonSecure SnapshotNewParamsVariant0CookiesSourceScheme = "NonSecure"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0CookiesSourceSchemeSecure SnapshotNewParamsVariant0CookiesSourceScheme = "Secure"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme">Link to this property</a>

URL stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies">Link to this property</a>

EmulateMediaType param.Field\[string]Optional

Body param

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20emulateMediaType">Link to this property</a>

<details>

<summary>

Formats param.Field\[\[]SnapshotNewParamsVariant0Format]Optional

Body param

</summary>

const SnapshotNewParamsVariant0FormatContent SnapshotNewParamsVariant0Format = "content"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0FormatScreenshot SnapshotNewParamsVariant0Format = "screenshot"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0FormatMarkdown SnapshotNewParamsVariant0Format = "markdown"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const SnapshotNewParamsVariant0FormatAccessibilityTree SnapshotNewParamsVariant0Format = "accessibilityTree"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats">Link to this property</a>

<details>

<summary>

GotoOptions param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)">SnapshotNewParamsVariant0GotoOptions</a>]Optional

Body param: Check <a href="https://pptr.dev/api/puppeteer.gotooptions">options</a>.

</summary>

Referer stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20referer">Link to this property</a>

ReferrerPolicy stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20referrerPolicy">Link to this property</a>

Timeout float64Optional

maximum60000

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20timeout">Link to this property</a>

<details>

<summary>

WaitUntil SnapshotNewParamsVariant0GotoOptionsWaitUntilUnionOptional

</summary>

One of the following:

<details>

<summary>

SnapshotNewParamsVariant0GotoOptionsWaitUntilString

</summary>

One of the following:

const SnapshotNewParamsVariant0GotoOptionsWaitUntilStringLoad SnapshotNewParamsVariant0GotoOptionsWaitUntilString = "load"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0GotoOptionsWaitUntilStringDomcontentloaded SnapshotNewParamsVariant0GotoOptionsWaitUntilString = "domcontentloaded"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0GotoOptionsWaitUntilStringNetworkidle0 SnapshotNewParamsVariant0GotoOptionsWaitUntilString = "networkidle0"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%202">Link to this property</a>

const SnapshotNewParamsVariant0GotoOptionsWaitUntilStringNetworkidle2 SnapshotNewParamsVariant0GotoOptionsWaitUntilString = "networkidle2"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

SnapshotNewParamsVariant0GotoOptionsWaitUntilArray

</summary>

One of the following:

const SnapshotNewParamsVariant0GotoOptionsWaitUntilArrayLoad SnapshotNewParamsVariant0GotoOptionsWaitUntilArray = "load"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0GotoOptionsWaitUntilArrayDomcontentloaded SnapshotNewParamsVariant0GotoOptionsWaitUntilArray = "domcontentloaded"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0GotoOptionsWaitUntilArrayNetworkidle0 SnapshotNewParamsVariant0GotoOptionsWaitUntilArray = "networkidle0"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const SnapshotNewParamsVariant0GotoOptionsWaitUntilArrayNetworkidle2 SnapshotNewParamsVariant0GotoOptionsWaitUntilArray = "networkidle2"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions">Link to this property</a>

HTML param.Field\[string]Optional

Body param

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20html">Link to this property</a>

RejectRequestPattern param.Field\[\[]string]Optional

Body param: Block undesired requests that match the provided regex patterns, eg. ’/^.\*.(css)’.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectRequestPattern">Link to this property</a>

<details>

<summary>

RejectResourceTypes param.Field\[\[]SnapshotNewParamsVariant0RejectResourceType]Optional

Body param: Block undesired requests that match the provided resource types, eg. ‘image’ or ‘script’.

</summary>

const SnapshotNewParamsVariant0RejectResourceTypeDocument SnapshotNewParamsVariant0RejectResourceType = "document"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeStylesheet SnapshotNewParamsVariant0RejectResourceType = "stylesheet"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeImage SnapshotNewParamsVariant0RejectResourceType = "image"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeMedia SnapshotNewParamsVariant0RejectResourceType = "media"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeFont SnapshotNewParamsVariant0RejectResourceType = "font"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeScript SnapshotNewParamsVariant0RejectResourceType = "script"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeTexttrack SnapshotNewParamsVariant0RejectResourceType = "texttrack"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeXHR SnapshotNewParamsVariant0RejectResourceType = "xhr"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeFetch SnapshotNewParamsVariant0RejectResourceType = "fetch"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%208">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypePrefetch SnapshotNewParamsVariant0RejectResourceType = "prefetch"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%209">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeEventsource SnapshotNewParamsVariant0RejectResourceType = "eventsource"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2010">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeWebsocket SnapshotNewParamsVariant0RejectResourceType = "websocket"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2011">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeManifest SnapshotNewParamsVariant0RejectResourceType = "manifest"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2012">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeSignedexchange SnapshotNewParamsVariant0RejectResourceType = "signedexchange"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2013">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypePing SnapshotNewParamsVariant0RejectResourceType = "ping"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2014">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeCspviolationreport SnapshotNewParamsVariant0RejectResourceType = "cspviolationreport"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2015">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypePreflight SnapshotNewParamsVariant0RejectResourceType = "preflight"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2016">Link to this property</a>

const SnapshotNewParamsVariant0RejectResourceTypeOther SnapshotNewParamsVariant0RejectResourceType = "other"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2017">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes">Link to this property</a>

<details>

<summary>

ScreenshotOptions param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)">SnapshotNewParamsVariant0ScreenshotOptions</a>]Optional

Body param

</summary>

CaptureBeyondViewport boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20captureBeyondViewport">Link to this property</a>

<details>

<summary>

Clip SnapshotNewParamsVariant0ScreenshotOptionsClipOptional

</summary>

Height float64

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20height">Link to this property</a>

Width float64

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20width">Link to this property</a>

X float64

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20x">Link to this property</a>

Y float64

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20y">Link to this property</a>

Scale float64Optional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20scale">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip">Link to this property</a>

FromSurface boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20fromSurface">Link to this property</a>

FullPage boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20fullPage">Link to this property</a>

OmitBackground boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20omitBackground">Link to this property</a>

OptimizeForSpeed boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20optimizeForSpeed">Link to this property</a>

Quality float64Optional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20quality">Link to this property</a>

<details>

<summary>

Type SnapshotNewParamsVariant0ScreenshotOptionsTypeOptional

</summary>

One of the following:

const SnapshotNewParamsVariant0ScreenshotOptionsTypePNG SnapshotNewParamsVariant0ScreenshotOptionsType = "png"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

const SnapshotNewParamsVariant0ScreenshotOptionsTypeJPEG SnapshotNewParamsVariant0ScreenshotOptionsType = "jpeg"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

const SnapshotNewParamsVariant0ScreenshotOptionsTypeWebP SnapshotNewParamsVariant0ScreenshotOptionsType = "webp"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions">Link to this property</a>

SetExtraHTTPHeaders param.Field\[map\[string, string]]Optional

Body param

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20setExtraHTTPHeaders">Link to this property</a>

SetJavaScriptEnabled param.Field\[bool]Optional

Body param

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20setJavaScriptEnabled">Link to this property</a>

UserAgent param.Field\[string]Optional

Body param

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20userAgent">Link to this property</a>

<details>

<summary>

Viewport param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)">SnapshotNewParamsVariant0Viewport</a>]Optional

Body param: Check <a href="https://pptr.dev/api/puppeteer.page.setviewport">options</a>.

</summary>

Height float64

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20height">Link to this property</a>

Width float64

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20width">Link to this property</a>

DeviceScaleFactor float64Optional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20deviceScaleFactor">Link to this property</a>

HasTouch boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20hasTouch">Link to this property</a>

IsLandscape boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20isLandscape">Link to this property</a>

IsMobile boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20isMobile">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport">Link to this property</a>

<details>

<summary>

WaitForSelector param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)">SnapshotNewParamsVariant0WaitForSelector</a>]Optional

Body param: Wait for the selector to appear in page. Check <a href="https://pptr.dev/api/puppeteer.page.waitforselector">options</a>.

</summary>

Selector string

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20selector">Link to this property</a>

Hidden SnapshotNewParamsVariant0WaitForSelectorHiddenOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20hidden">Link to this property</a>

Timeout float64Optional

maximum120000

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20timeout">Link to this property</a>

Visible SnapshotNewParamsVariant0WaitForSelectorVisibleOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20visible">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector">Link to this property</a>

WaitForTimeout param.Field\[float64]Optional

Body param: Waits for a specified timeout before continuing.

maximum120000

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForTimeout">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200>)

##### ReturnsExpand Collapse

<details>

<summary>

type SnapshotNewResponse struct{…}

</summary>

<details>

<summary>

AccessibilityTree SnapshotNewResponseAccessibilityTreeOptional

Accessibility tree node

</summary>

Role string

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20role">Link to this property</a>

Autocomplete stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20autocomplete">Link to this property</a>

<details>

<summary>

Checked SnapshotNewResponseAccessibilityTreeCheckedUnionOptional

</summary>

One of the following:

UnionBool

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20checked%20%3E%20(variant)%200">Link to this property</a>

type SnapshotNewResponseAccessibilityTreeCheckedString string

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20checked%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20checked">Link to this property</a>

Children \[]unknownOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20children">Link to this property</a>

Description stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20description">Link to this property</a>

Disabled boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20disabled">Link to this property</a>

Expanded boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20expanded">Link to this property</a>

Focused boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20focused">Link to this property</a>

Haspopup stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20haspopup">Link to this property</a>

Invalid stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20invalid">Link to this property</a>

Keyshortcuts stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20keyshortcuts">Link to this property</a>

Level float64Optional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20level">Link to this property</a>

Modal boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20modal">Link to this property</a>

Multiline boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20multiline">Link to this property</a>

Multiselectable boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20multiselectable">Link to this property</a>

Name stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20name">Link to this property</a>

Orientation stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20orientation">Link to this property</a>

<details>

<summary>

Pressed SnapshotNewResponseAccessibilityTreePressedUnionOptional

</summary>

One of the following:

UnionBool

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20pressed%20%3E%20(variant)%200">Link to this property</a>

type SnapshotNewResponseAccessibilityTreePressedString string

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20pressed%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20pressed">Link to this property</a>

Readonly boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20readonly">Link to this property</a>

Required boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20required">Link to this property</a>

Roledescription stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20roledescription">Link to this property</a>

Selected boolOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20selected">Link to this property</a>

<details>

<summary>

Value SnapshotNewResponseAccessibilityTreeValueUnionOptional

</summary>

One of the following:

UnionString

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20value%20%3E%20(variant)%200">Link to this property</a>

UnionFloat

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20value%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20value">Link to this property</a>

Valuemax float64Optional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20valuemax">Link to this property</a>

Valuemin float64Optional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20valuemin">Link to this property</a>

Valuetext stringOptional

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20valuetext">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree">Link to this property</a>

Content stringOptional

HTML content.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

Markdown stringOptional

Markdown content. Prefixed with YAML frontmatter (e.g. <code>title</code>) when the page provides that metadata.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20markdown">Link to this property</a>

Screenshot stringOptional

Base64 encoded image.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)%20%3E%20(property)%20screenshot">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20SnapshotNewResponse%20%3E%20(schema)>)

### Get HTML content and screenshot.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  snapshot, err := client.BrowserRendering.Snapshot.New(context.TODO(), browser_rendering.SnapshotNewParams{
    AccountID: cloudflare.F("account_id"),
    Body: browser_rendering.SnapshotNewParamsBodyObject{
      URL: cloudflare.F("https://www.example.com/"),
    },
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", snapshot.AccessibilityTree)
}
```

200 example

429 example

```
{
  "meta": {
    "finalUrl": "finalUrl",
    "headers": {
      "foo": "string"
    },
    "redirectChain": [
      {
        "headers": {
          "foo": "string"
        },
        "status": 0,
        "url": "url"
      }
    ],
    "status": 0,
    "title": "title"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "accessibilityTree": {
      "role": "role",
      "autocomplete": "autocomplete",
      "checked": "mixed",
      "children": [
        {}
      ],
      "description": "description",
      "disabled": true,
      "expanded": true,
      "focused": true,
      "haspopup": "haspopup",
      "invalid": "invalid",
      "keyshortcuts": "keyshortcuts",
      "level": 0,
      "modal": true,
      "multiline": true,
      "multiselectable": true,
      "name": "name",
      "orientation": "orientation",
      "pressed": "mixed",
      "readonly": true,
      "required": true,
      "roledescription": "roledescription",
      "selected": true,
      "value": "string",
      "valuemax": 0,
      "valuemin": 0,
      "valuetext": "valuetext"
    },
    "content": "content",
    "markdown": "markdown",
    "screenshot": "screenshot"
  }
}
```

```
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}
```

##### Returns Examples

200 example

429 example

```
{
  "meta": {
    "finalUrl": "finalUrl",
    "headers": {
      "foo": "string"
    },
    "redirectChain": [
      {
        "headers": {
          "foo": "string"
        },
        "status": 0,
        "url": "url"
      }
    ],
    "status": 0,
    "title": "title"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "accessibilityTree": {
      "role": "role",
      "autocomplete": "autocomplete",
      "checked": "mixed",
      "children": [
        {}
      ],
      "description": "description",
      "disabled": true,
      "expanded": true,
      "focused": true,
      "haspopup": "haspopup",
      "invalid": "invalid",
      "keyshortcuts": "keyshortcuts",
      "level": 0,
      "modal": true,
      "multiline": true,
      "multiselectable": true,
      "name": "name",
      "orientation": "orientation",
      "pressed": "mixed",
      "readonly": true,
      "required": true,
      "roledescription": "roledescription",
      "selected": true,
      "value": "string",
      "valuemax": 0,
      "valuemin": 0,
      "valuetext": "valuetext"
    },
    "content": "content",
    "markdown": "markdown",
    "screenshot": "screenshot"
  }
}
```

```
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}
```